Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableStrokeAntialias Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeAntialias:
[legend]
Collaboration diagram for Magick::DrawableStrokeAntialias:
[legend]

## Public Member Functions
| DrawableStrokeAntialias (bool flag_)
| ~DrawableStrokeAntialias (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | flag (bool flag_)
bool | flag (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1883 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableStrokeAntialias()

Magick::DrawableStrokeAntialias::DrawableStrokeAntialias | ( | bool | flag_ | ) |
| inline

Definition at line 1886 of file Drawable.h.

## ◆ ~DrawableStrokeAntialias()

Magick::DrawableStrokeAntialias::~DrawableStrokeAntialias | ( | void |  | ) |

Definition at line 1367 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableStrokeAntialias::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1376 of file Drawable.cpp.

## ◆ flag() [1/2]

void Magick::DrawableStrokeAntialias::flag | ( | bool | flag_ | ) |
| inline

Definition at line 1898 of file Drawable.h.

## ◆ flag() [2/2]

bool Magick::DrawableStrokeAntialias::flag | ( | void |  | ) | const
| inline

Definition at line 1902 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableStrokeAntialias::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1371 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp